Bug 108504 - emulators/vice breaks when linux-js module detected
emulators/vice breaks when linux-js module detected
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Dirk Meyer
Depends on:
  Show dependency treegraph
Reported: 2007-01-29 06:10 UTC by n-butcher
Modified: 2007-03-06 12:51 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description n-butcher 2007-01-29 06:10:17 UTC
VICE 1.20_1 compiles ok with no linux_js package installed. 

VICE's compile is configured to detect joystick code and compile the code into the emulator. When FreeBSD's linux_js package is installed during a VICE compile, VICE tries to compile in joystick support (joy_usb) - except that this breaks the port.

Not sure if this is a VICE bug issue or a ports bug.


VICE compiles normally as long as the linux_js package is not installed. Get used to playing games with the keyboard though...
How-To-Repeat: 1. install the /usr/ports/devel/linux-js package (try getting it from packages, the port on this seems to be broken at time of writing)
2. The linux_js module need not be loaded
3. Compile VICE
4. Watch the compile fail
Comment 1 Edwin Groothuis freebsd_committer 2007-01-29 23:26:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer
Comment 2 dfilter freebsd_committer 2007-03-04 09:10:12 UTC
dinoex      2007-03-04 09:09:59 UTC

  FreeBSD ports repository

  Modified files:
    emulators/vice       Makefile 
  Added files:
    emulators/vice       pkg-message 
    emulators/vice/files patch-joy.c patch-joy_usb.c 
  - Add support for joysticks
  PR:             109438, 108504
  Submitted by:   Dwayne MacKinnon
  Revision  Changes    Path
  1.49      +3 -1      ports/emulators/vice/Makefile
  1.1       +11 -0     ports/emulators/vice/files/patch-joy.c (new)
  1.1       +10 -0     ports/emulators/vice/files/patch-joy_usb.c (new)
  1.1       +10 -0     ports/emulators/vice/pkg-message (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Dirk Meyer freebsd_committer 2007-03-04 20:27:42 UTC
State Changed
From-To: open->feedback

Please check if it still conflicts.
Comment 4 Dirk Meyer freebsd_committer 2007-03-06 12:50:40 UTC
State Changed
From-To: feedback->closed

Nathan Butcher wrote: 

> Compiles fine with the linux-js module now. Tested USB joystick 
> functionality inside vice and it works great!